package at.eurotours.bugs.gf6329;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 *
 * @author Mueller
 */
public class main extends HttpServlet 
{
    /** 
    * Processes requests for both HTTP <code>GET</code> and <code>POST</code> methods.
    * @param request servlet request
    * @param response servlet response
    */
    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        PrintWriter out = response.getWriter();
        try 
        {
            out.println("<html>");
            out.println("<head>");
            out.println("<title>GF Bug 6329</title>");  
            out.println("</head>");
            out.println("<body>");
            
            out.print("parameters --> ");
            
            Enumeration names = request.getParameterNames();
            while (names.hasMoreElements())
            {
                String name = (String)names.nextElement();
                out.println(name + ": " + request.getParameter(name));
            }

            out.println("<br><br>");
            
            out.println("<a href=\"main?param=get_test\">GET link with parameter</a>");
            
            out.println("<br><br>");
            
            out.println("<form name=\"postform\" method=\"POST\">");
            out.println("<input type=\"hidden\" name=\"param\" value=\"post_test\">");
            out.println("</form>");
            out.println("<a href=\"javascript:document.postform.submit();\">POST link with parameter</a>");
            
            
            out.println("</body>");
            out.println("</html>");
            
        } finally 
        { 
            out.close();
        }
    } 

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /** 
    * Handles the HTTP <code>GET</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 

    /** 
    * Handles the HTTP <code>POST</code> method.
    * @param request servlet request
    * @param response servlet response
    */
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }

    /** 
    * Returns a short description of the servlet.
    */
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
